Page MenuHomePhabricator

Layout of edit mode switcher in old wikitext editor broken in Monobook skin
Closed, ResolvedPublic

Description

In the old wikitext editor in Monobook skin, the layout of the edit mode switcher is broken:

The active area of the switcher extends over it's visible area too far below, and when the menu is open it is placed too far below by the same amount.

This doesn't happen in VE, nor does it happen in other skins, so it seems like a problem specific for Monobook/Apex and the WikiEditor toolbar.

Event Timeline

Schnark created this task.May 8 2018, 7:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2018, 7:21 AM
Vvjjkkii renamed this task from Layout of edit mode switcher in old wikitext editor broken in Monobook skin to 3edaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 3edaaaaaaa to Layout of edit mode switcher in old wikitext editor broken in Monobook skin.Jul 1 2018, 3:46 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
matmarex claimed this task.Sep 17 2018, 8:22 PM
matmarex added a subscriber: matmarex.

I accidentally discovered why this is broken while working on another task.

Change 460969 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.MWVESwitchConfirmDialog: Fix gap above dropdown on MonoBook

https://gerrit.wikimedia.org/r/460969

Change 460969 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.init.MWVESwitchConfirmDialog: Fix gap above dropdown on MonoBook

https://gerrit.wikimedia.org/r/460969

Deskana closed this task as Resolved.Sep 28 2018, 12:22 PM
Deskana triaged this task as Normal priority.